OpenTTD Source: RoadTypeInfo Class Reference

OpenTTD Source 14.0-beta1

Public Member Functions | Data Fields
RoadTypeInfo Class Reference

## Public Member Functions
bool | UsesOverlay () const

## Data Fields
struct {
SpriteID build_x_road
| button for building single rail in X direction
SpriteID build_y_road
| button for building single rail in Y direction
SpriteID auto_road
| button for the autoroad construction
SpriteID build_depot
| button for building depots
SpriteID build_tunnel
| button for building a tunnel
SpriteID convert_road
| button for converting road types
} | gui_sprites
| struct containing the sprites for the road GUI. More...
struct {
CursorID road_swne
| Cursor for building rail in X direction.
CursorID road_nwse
| Cursor for building rail in Y direction.
CursorID autoroad
| Cursor for autorail tool.
CursorID depot
| Cursor for building a depot.
CursorID tunnel
| Cursor for building a tunnel.
SpriteID convert_road
| Cursor for converting road types.
} | cursor
| Cursors associated with the road type.
struct {
StringID name
| Name of this rail type.
StringID toolbar_caption
| Caption in the construction toolbar GUI for this rail type.
StringID menu_text
| Name of this rail type in the main toolbar dropdown.
StringID build_caption
| Caption of the build vehicle GUI for this rail type.
StringID replace_text
| Text used in the autoreplace GUI.
StringID new_engine
| Name of an engine for this type of road in the engine preview GUI.
StringID err_build_road
| Building a normal piece of road.
StringID err_remove_road
| Removing a normal piece of road.
StringID err_depot
| Building a depot.
StringID err_build_station [2]
| Building a bus or truck station.
StringID err_remove_station [2]
| Removing of a bus or truck station.
StringID err_convert_road
| Converting a road type.
StringID picker_title [2]
| Title for the station picker for bus or truck stations.
StringID picker_tooltip [2]
| Tooltip for the station picker for bus or truck stations.
} | strings
| Strings associated with the rail type.
RoadTypes | powered_roadtypes
| bitmask to the OTHER roadtypes on which a vehicle of THIS roadtype generates power
RoadTypeFlags | flags
| Bit mask of road type flags.
uint16_t | cost_multiplier
| Cost multiplier for building this road type.
uint16_t | maintenance_multiplier
| Cost multiplier for maintenance of this road type.
uint16_t | max_speed
| Maximum speed for vehicles travelling on this road type.
RoadTypeLabel | label
| Unique 32 bit road type identifier.
RoadTypeLabelList | alternate_labels
| Road type labels this type provides in addition to the main label.
byte | map_colour
| Colour on mini-map.
TimerGameCalendar::Date | introduction_date
| Introduction date. More...
RoadTypes | introduction_required_roadtypes
| Bitmask of roadtypes that are required for this roadtype to be introduced at a given introduction_date.
RoadTypes | introduces_roadtypes
| Bitmask of which other roadtypes are introduced when this roadtype is introduced.
byte | sorting_order
| The sorting order of this roadtype for the toolbar dropdown.
const GRFFile * | grffile [ROTSG_END]
| NewGRF providing the Action3 for the roadtype. More...
const SpriteGroup * | group [ROTSG_END]
| Sprite groups for resolving sprites.

## Detailed Description

Definition at line 78 of file road.h.

## Field Documentation

## ◆ convert_road

SpriteID RoadTypeInfo::convert_road

button for converting road types

Cursor for converting road types.

Definition at line 90 of file road.h.

## ◆ grffile

const GRFFile* RoadTypeInfo::grffile[ROTSG_END]

NewGRF providing the Action3 for the roadtype.

nullptr if not available.

Definition at line 187 of file road.h.

## ◆ gui_sprites

struct { ... } RoadTypeInfo::gui_sprites

struct containing the sprites for the road GUI.

Note
  only sprites referred to directly in the code are listed

Referenced by BuildRoadToolbarWindow::SetupRoadToolbar().

## ◆ introduction_date

TimerGameCalendar::Date RoadTypeInfo::introduction_date

Introduction date.

When #INVALID_DATE or a vehicle using this roadtype gets introduced earlier, the vehicle's introduction date will be used instead for this roadtype. The introduction at this date is furthermore limited by the #introduction_required_types.

Definition at line 166 of file road.h.

Referenced by AddDateIntroducedRoadTypes().

The documentation for this class was generated from the following file:

- src/road.h